Name:           orca
Version:        3.30.0
Release:        2
Summary:        Assistive technology for people with visual impairments
License:        LGPLv2+
URL:            https://wiki.gnome.org/Projects/Orca
Source0:        https://download.gnome.org/sources/orca/3.30/orca-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  pkgconfig(atk-bridge-2.0) pkgconfig(atspi-2) pkgconfig(liblouis) pkgconfig(pygobject-3.0)
BuildRequires:  brlapi-devel brltty gettext intltool gtk3-devel itstool python3-brlapi python3-devel
BuildRequires:  python3-louis python3-pyatspi python3-speechd desktop-file-utils

Requires:       libwnck3 python3-brlapi python3-louis python3-pyatspi python3-speechd

%description
Orca is a screen reader that provides access to the graphical desktop via user-customizable combinations of speech and/or braille.
Orca works with applications and toolkits that support the assistive technology service provider interface (AT-SPI), e.g. the GNOME desktop.

%package        help
Summary:        Help documents for orca

%description    help
The orca-help package conatins manual pages and documents for orca.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

%find_lang orca --with-gnome
%delete_la

%check
desktop-file-validate %{buildroot}%{_sysconfdir}/xdg/autostart/orca-autostart.desktop

%files -f orca.lang
%{_bindir}/orca
%{python3_sitelib}/orca/
%{_datadir}/icons/hicolor/*/apps/orca.png
%{_datadir}/icons/hicolor/scalable/apps/orca.svg
%{_datadir}/icons/hicolor/symbolic/apps/orca-symbolic.svg
%{_datadir}/orca
%{_sysconfdir}/xdg/autostart/orca-autostart.desktop

%files help
%doc AUTHORS NEWS README COPYING
%{_mandir}/man1/orca.1*

%changelog
* Tue Dec 03 2019 liujing<liujing144@huawei.com> - 3.30.0-2
- Package init
